Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157492 - CAN-2004-1948 ncftp url infromation disclosure
Summary: CAN-2004-1948 ncftp url infromation disclosure
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ncftp
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20040419,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 00:26 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 02:02:43 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-12 00:26:50 UTC
NcFTP client 3.1.6 and 3.1.7, when the username and password are included in an
FTP URL that is provided on the command line, allows local users to obtain
sensitive information via "ps aux," which displays the URL in the process list.

http://marc.theaimsgroup.com/?l=bugtraq&m=108247943201685&w=2

Comment 1 Josh Bressers 2005-05-12 00:30:30 UTC
It seems this issue was never fixed.  I can still do this on FC3.  I'm half
tempted to say this is probably a non issue.  I'm interested in what some of the
other programs do which also deal with similar URLs on the command line.

Comment 2 Josh Bressers 2005-06-17 02:02:43 UTC
This is basically a non issue.  Nobody should be providing sensitive information
such as this on the command line.  The only way to fix this is still insecure,
since there is a gap between startup and scribbling over ARGV.



Note You need to log in before you can comment on or make changes to this bug.